Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 135316 - IDE hangs on library removal
IDE hangs on library removal
Status: VERIFIED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
6.x
All Windows XP
: P1 (vote)
: 6.x
Assigned To: Jesse Glick
issues@apisupport
61fixes2-fixed
: RANDOM, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 14:11 UTC by Oleg Khokhlov
Modified: 2008-07-14 17:50 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
thread dump (36.66 KB, text/plain)
2008-05-19 14:11 UTC, Oleg Khokhlov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Khokhlov 2008-05-19 14:11:21 UTC
Sometimes when I try to remove libraries from 'Library' node of my project IDE hangs.
All unsaved editing is lost.
Comment 1 Oleg Khokhlov 2008-05-19 14:11:48 UTC
Created attachment 61563 [details]
thread dump
Comment 2 Tomas Zezula 2008-05-19 14:40:27 UTC
Deadlock among Module actions &  AWT (Mercurial annotator calls ProjectManager.isProject under Children's lock).
The org.netbeans.modules.apisupport.project.ui.UnitTestLibrariesNode$LibrariesChildren.refreshKeys(UnitTestLibrariesNode.java:185) should be rescheduled 
using SwingUtilities.invokeLater.
Comment 3 Jesse Glick 2008-05-19 20:39:59 UTC
Reporter failed to properly mark the version of NetBeans being used, and I cannot find *any* version of NB (6.0, 6.1,
dev) which has line numbers matching those used in the thread dump.

Anyway, fixed in core-main: #76ed541f4ab8
Comment 4 Quality Engineering 2008-05-20 15:57:50 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #207 build
Changeset: http://hg.netbeans.org/main/rev/76ed541f4ab8
User: Jesse Glick <jglick@netbeans.org>
Log: #135316: deadlock changing deps.
Comment 5 pgebauer 2008-06-10 13:38:42 UTC
This issue has been nominated for NB IDE 6.1 patch2 although it hasn't been verified by QE yet. If it isn't verified by
12-Jun-08, it's nomination will be removed.
Comment 6 Oleg Khokhlov 2008-06-10 15:24:40 UTC
Spend some time trying to reproduce. It was quite easy to freeze IDE before but now I wasn't able to do it removing
libraries.
Mark it as verified, build 080602.
Comment 7 pgebauer 2008-06-12 12:40:16 UTC
The fix has been ported into the release61_fixes branch:

http://hg.netbeans.org/release61_fixes/19fd83b767ea


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo